% ELECTROTONICS
%
% functions to calculate current flow in a tree
%
% Files
%   elen_tree     - Electrotonic length of segments in a tree
%   gi_tree       - Axial conductances of the segments of a tree.
%   gm_tree       - Membrane conductances of the segments of a tree.
%   lambda_tree   - Length constants of the segments of a tree.
%   loop_tree     - Builds conductance matrix of a tree, including loops.
%   M_tree        - Conductance matrix of the electric circuitry in a tree.
%   sse_tree      - steady-state electrotonic signature of a tree.
%   ssecat_tree   - steady-state electrotonic signature of elsyn-connected trees.
%   syn_tree      - Steady-state synaptic electrotonic signature of a tree.
%   syncat_tree   - ss. synaptic electrot. signature of elsyn-connected trees.
%
% the TREES toolbox: edit, visualize and analyze neuronal trees
% Copyright (C) 2009  Hermann Cuntz
