% GRAPH THEORY CORE
%
% functions relating to the tree as a graph
%
% Files
%   asym_tree     - Branching point asymmetries.
%   B_tree        - Branching point index of a tree.
%   bin_tree      - Binning nodes in a tree.
%   BO_tree       - Branching order values in a tree.
%   C_tree        - Continuation segment index in a BCT tree.
%   child_tree    - Attribute add-up child node values to parent nodes in a
%   tree.
%   dissect_tree  - Groups together segments belonging to same branches.
%   dist_tree     - Index to tree nodes at um path distance away from root.
%   idpar_tree    - Index to direct parent in tree.
%   ipar_tree     - Path to root: parent indices. 
%   LO_tree       - Level order of all nodes of a tree.
%   PL_tree       - Topological path length.
%   Pvec_tree     - Cumulative summation along paths.
%   ratio_tree    - Ratio between parent and daughter segments in a tree.
%   redirect_tree - Set root to new point and redirect tree graph.
%   rindex_tree   - Region-specific indexation of nodes in a tree.
%   sort_tree     - sorts index of nodes in tree to be BCT conform.
%   sub_tree      - Indices to child nodes forming a subtree.
%   T_tree        - Termination point index in a tree.
%   typeN_tree    - Tree node B-C-T info.
%
% the TREES toolbox: edit, visualize and analyze neuronal trees
% Copyright (C) 2009  Hermann Cuntz

