% METRICS
%
% functions to obtain or alter metrics from a tree
%
% Files
%   angleB_tree  - Angle values at branch points in a tree.
%   cvol_tree    - Continuous volume of segments in a tree.
%   cyl_tree     - Cylinder coordinates of all segments in a tree.
%   dstats_tree  - Display tree statistics obtained by stats_tree.
%   eucl_tree    - Euclidean distances of all nodes of a tree to a point.
%   flatten_tree - flattens tree onto XY plane.
%   flip_tree    - flips a tree around one axis.
%   len_tree     - Length values of tree segments.
%   morph_tree   - morph a tree's metrics without changing angles or topology
%   rot_tree     - Rotate a tree.
%   scale_tree   - Scales a tree.
%   surf_tree    - Surface values for tree segments.
%   tran_tree    - translate the coordinates of a tree.
%   vol_tree     - Volume values for all segments in a tree.
%   zcorr_tree   - corrects neurolucida z-artifacts.
%   sholl_tree   - Real sholl analysis.
%   stats_tree   - Collects tree statistics using TREES toolbox functions.
%
% the TREES toolbox: edit, visualize and analyze neuronal trees
% Copyright (C) 2009  Hermann Cuntz


